<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  $sede_usuario=$_SESSION['SEDE_USUARIO'];
   $sede_usuario=$_GET['SEDE_USUARIO'];

 
  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
    $consulta=addslashes($sql);
    // 💛 Normaliza fecha para DATETIME
    $fecha=date("Y-m-d H:i:s");
    $accion="Intento de acceso sin iniciar sesión.";
    $script="cambio_turno_vista.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="10" && $tipo_usuario!="21") {
        // Registra el acceso indebido.
        $consulta=addslashes($sql);
      	// 💛 Normaliza fecha para DATETIME
      	$fecha=date("Y-m-d H:i:s");
      	$accion="Intento de Acceso indebido";
      	$script="cambio_turno_vista.php";
      	$ip=obtener_ip();
      	$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  


// Cargo los datos de los Alumnos.

mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");

// Datos de las Carreras.

 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<script>
$(document).ready(function(){
	$("#cedula").change(function(){
		$.post("carga_carreras_alumno3.php",{ id:$(this).val() },function(data){$("#carrera").html(data);})
	});
	$("#cedula").change(function(){
		$.post("carga_turno.php",{ id:$(this).val() },function(data){$("#turno").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_mencion_alumno.php",{ id:$(this).val(),a:document.form1.cedula.value },function(data){$("#mencion").html(data);})
	});
	$("#id_carrera").change(function(){
		$.post("carga_sedes_alumno1.php",{ id:$(this).val(),c:document.form1.cedula.value },function(data){$("#sede").html(data);})
	});
})
</script>
<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Cambio de Turno </h2></td></tr></table>
<form name="form1" method="post" action="">
  <table width="99%" border="0" align="center" id="carga" cellpadding="1" cellspacing="5" style="border:1px solid #ccc;">
    
    <tr>
      <td width="86"><div align="right">C&eacute;dula:</div></td>
      <td width="628" colspan="5"><label>
        <input class="bd1" name="cedula" id="cedula"  type="text" size="12" maxlength="20" onBlur="verificar_alumno(this.value)" onKeyPress="return soloNum(event)"><iframe name="frameNuevo" id="frameNuevo" with="0" height="0" frameborder="0" ></iframe>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Apellidos:</div></td>
      <td colspan="5"><label>
        <input  name="apellidos" type="text" id="apellidos" size="35" maxlength="50" readonly="true">
      </label>
      &nbsp;&nbsp;&nbsp;&nbsp;Nombres:&nbsp;&nbsp;
      <label>
      <input name="nombres" type="text" id="nombres" size="35" maxlength="50" readonly="true">
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="5"><label>
	  <select name="carrera" id="carrera">
	          </select></label>
	  <label>
	  &nbsp;&nbsp;Pensum:&nbsp;<input name="pensum" type="text" id="pensum" size="1" maxlength="1" readonly="true">
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Mención:</div></td>
      <td colspan="5"><input name="mencion" type="text" id="mencion" size="35" maxlength="30">
      &nbsp;Turno Actual:
      <input name="turno" type="text" id="turno" size="15" maxlength="15"></td>
    </tr>
   
    <tr>
      <td colspan="6"><div align="center"><strong>NUEVO TURNO:</strong>&nbsp;
		  <select name="turno_nuevo" id="turno_nuevo">
		    <option value="0">SELECCIONE...</option>
		    <option value="1">MATUTINO</option>
		    <option value="2">VESPERTINO</option>
		    <option value="4">NOCTURNO</option>
	          </select>
      </div></td>
    </tr>
    
    
    <tr>
      <td height="34" colspan="6"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Cambiar Turno" onClick="cambiar_turno()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
<?php

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
?>
</body>
</html>

<script type="text/javascript">
 function cambiar_turno()
 { 
    var turno_nuevo;
	
    if(document.form1.cedula.value==""){
			alert("El campo <<Cédula>> es obligatorio");
			document.form1.cedula.focus();
			return false;
			}
	if(document.form1.turno_nuevo.value==0){
			alert("El campo <<Nuevo Turno>> es obligatorio");
			document.form1.turno_nuevo.focus();
			return false;
			}
			
	if(document.form1.turno_nuevo.value==1){
	   turno_nuevo="MATUTINO";
	}
	if(document.form1.turno_nuevo.value==2){
	   turno_nuevo="VESPERTINO";
	}
	if(document.form1.turno_nuevo.value==4){
	   turno_nuevo="NOCTURNO";
	}
	
	if(document.form1.turno.value==turno_nuevo){
			alert("Cambio de turno no procesado.\nNuevo Turno es igual al Turno Actual.");
			document.form1.turno_nuevo.focus();
			document.form1.turno_nuevo.value=0;
			return false;
	}
	
 	url="cambiar_turno.php?cedula="+document.form1.cedula.value+"&id_carrera="+document.form1.carrera.value+"&nuevo_turno="+document.form1.turno_nuevo.value;
	//window.open(url);
	window.location=url;
 }
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	
	function verificar_alumno(cedula)
    {
	
 	if (cedula!="")
	 {
	 url="validar_alumno3.php?cedula="+cedula;
	 frameNuevo.location=url;
	 }
}
</script>
